Package de.willuhn.jameica.hbci.passports.pintan

# Class PinTanMigrationService.VerificationEntry

java.lang.Object
de.willuhn.jameica.hbci.passports.pintan.PinTanMigrationService.VerificationEntry

Enclosing class:
  `PinTanMigrationService`

public static class PinTanMigrationService.VerificationEntry extends Object
Ein Bankzugang, bei dem die URL abweicht.

## Constructor Summary

Constructors
Constructor
Description
`VerificationEntry()`

## Method Summary

Modifier and Type
Method
Description
`PinTanConfig`
`getConfig()`
Liefert die Config.
`String`
`getNewUrl()`
Liefert die neue URL.
`String`
`getOldUrl()`
Liefert die bisherige URL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerificationEntry

public VerificationEntry()

## Method Details

### getConfig

public PinTanConfig getConfig()
Liefert die Config.

Returns:
  config die Config.

### getOldUrl

public String getOldUrl()
Liefert die bisherige URL.

Returns:
  die bisherige URL.

### getNewUrl

public String getNewUrl()
Liefert die neue URL.

Returns:
  die neue URL.